Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.springframework.config.java.plugin.tx
Annotation Type AnnotationDrivenTx

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    @Documented
    public @interface AnnotationDrivenTx

Indicates that transaction configuration is defined by Spring's `@Transactional` annotation on bean classes, and that proxies are automatically to be created for the relevant annotated beans.

Transaction semantics such as propagation settings, the isolation level, the rollback rules, etc are all defined in the annotation metadata.

Represents support equivalent to Spring XML's `<tx:annotation-driven/>`

Author:
  Chris Beams

Optional Element Summary
`AopMode` | `mode` Should annotated beans be proxied using Spring's AOP framework, or should they rather be weaved with an AspectJ transaction aspect? AspectJ weaving requires spring-aspects.jar on the classpath, as well as load-time weaving (or compile-time weaving) enabled.
`int` | `order` Controls the ordering of the execution of the transaction advisor when multiple advice executes at a specific joinpoint.
`boolean` | `proxyTargetClass` Are class-based (CGLIB) proxies to be created? By default (false), standard Java interface-based proxies are created.
`java.lang.String` | `transactionManager` The bean name of the `PlatformTransactionManager` that is to be used to drive transactions.

### mode

    public abstract AopMode mode

  Should annotated beans be proxied using Spring's AOP framework, or should they rather be weaved with an AspectJ transaction aspect?

  AspectJ weaving requires spring-aspects.jar on the classpath, as well as load-time weaving (or compile-time weaving) enabled.

  Default is `AopMode.PROXY`, meaning AspectJ will not be required.

  Default:
    org.springframework.config.java.plugin.tx.AopMode.PROXY

### transactionManager

    public abstract java.lang.String transactionManager

  The bean name of the `PlatformTransactionManager` that is to be used to drive transactions.

  This attribute is not required, and only needs to be specified explicitly if the bean name of the desired `PlatformTransactionManager` is not `'transactionManager'`.

  Default:
    "transactionManager"

### order

    public abstract int order

  Controls the ordering of the execution of the transaction advisor when multiple advice executes at a specific joinpoint.

  Default value is 0, which signifies no explicit ordering. If explicit ordering is desired, set this value to something other than zero.

  Default:
    0

### proxyTargetClass

    public abstract boolean proxyTargetClass

  Are class-based (CGLIB) proxies to be created? By default (false), standard Java interface-based proxies are created.

  Default:
    false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT